Skip to main content
POST
cURL

Field support per integration

If you’re not using the Interactive Authentication Flow, make sure the query parameters environmentName and companyId are correctly populated. You can obtain these values by using the GET Environments and GET Companies endpoints available under the Authentication section.
Supported request parameters:
File
required
enum
required
Available options: BILL
Supported request parameters:
File
required
Maximum file name length: 255 characters
Supported request parameters:
File
required
enum
required
Available options: BILL, INVOICE
Supported request parameters:
File
required
Maximum file size: 10MB
Supported request parameters:
File
required
enum
required
Available options: BILL, INVOICE, BILL_CREDIT_NOTE, INVOICE_CREDIT_NOTE
Supported request parameters:
File
required

Headers

X-API-KEY
string
required

API key

Example:

"example value"

X-ACCOUNT-KEY
string
required

Account key

Example:

"example value"

Path Parameters

bookingProposalId
string
required

Query Parameters

companyId
string
environmentName
string

Body

multipart/form-data
file
file
required
documentType
enum<string>
Available options:
BILL,
INVOICE,
BILL_CREDIT_NOTE,
INVOICE_CREDIT_NOTE

Response

200 - application/json
meta
object
data
object
Last modified on November 5, 2026